@import url(/static/font/Px437_IBM_VGA_9x14.css);

* {
	outline: none;
	font-family: "Px437 IBM VGA 9x14", monospace;
	line-height: 1.15em;
	background-color: inherit;
}

ul {
	margin-top: 0;
	padding-left: 27px;
}

html > body .loading {
	display: none;
}

html > body .page-container {
	display: block;
}

body {
	animation-duration: 5s;
	color: inherit;
	overflow: hidden;
}

#startanimation {
	position: absolute;
	z-index: 0;
	padding: 14px 9px;
}

#startanimation,
#donecontainer {
	width: max-content;
}

#startanimation #decrypting {
	animation: decrypting 5s steps(26);
}

#startanimation #done {
	animation: done 5s steps(9);
}

#decrypting,
#done {
	display: inline-block;
	overflow: hidden;
	white-space: nowrap;
}

#noanim {
	visibility: visible;
	animation: noanimtest 0.1s;
	animation-fill-mode: forwards;
}

body.showanim .page-container {
	z-index: 1;
	opacity: 0;
	animation-name: indexappear;
	animation-duration: 1s;
	animation-timing-function: linear;
	animation-delay: 6s;
	animation-fill-mode: forwards;
}

.page-container {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	border-style: solid;
	border-width: 14px 9px;
	border-color: inherit;
	background-color: #000000;
}

.header {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	border-bottom-style: solid;
	border-bottom-width: 14px;
	border-bottom-color: inherit;
	height: 25px;
	background-color: #000000;
}

.music-header {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	border-bottom-style: solid;
	border-bottom-width: 14px;
	border-bottom-color: inherit;
	height: 25px;
}

.header-content {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 120px;
}

.music-header a,
.header-content a {
	padding: 0px 9px;
	font-size: 14pt;
}

.music-content {
	position: absolute;
	top: 39px;
	bottom: 0;
	left: 0;
	right: 0;
	overflow: auto;
	padding: 14px 9px;
}

.music-sidebar {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	border-right-style: solid;
	border-right-width: 9px;
	border-right-color: inherit;
	width: 240px;
	overflow-y: auto;
}

.music-sidebar ul,
.music-data ul {
	margin: 0px 9px 14px;
	padding-left: 18px;
}

.music-content h3,
.music-data h3 {
	margin: 14px 9px 0px;
}

.music-sidebar ul a,
.music-data ul a {
	font-size: 14pt;
}

.music-data {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 249px;
	right: 0;
	overflow-y: auto;
}

.music-data.full {
	left: 0;
}

.content {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	scrollbar-color: inherit;
}

.stuff {
	position: absolute;
	top: 39px;
	bottom: 0px;
	left: 0px;
	right: 0px;
	padding: 14px 9px;
	overflow-y: auto;
}

.blog-content {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 427px;
	padding: 14px 9px;
	overflow-y: auto;
}

.comment-div {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 14px 9px;
}

#blogCommentBox {
	position: relative;
	height: 25px;
}

#blogCommentBox #content {
	position: absolute;
	left: 0;
	right: 60px;
	top: 0;
	bottom: 8px;
}

#blogCommentBox #content input {
	width: 100%;
	height: 100%;
}

#blogCommentBox #commentSubmit {
	position: absolute;
	right: 0;
	top: 0;
	bottom: 0;
	width: 42px;
	padding-right: 1px;
}

#blogCommentBox #commentSubmit input {
	width: 100%;
}

.comment-div h3 {
	margin: 0;
}

.microblog-content {
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	width: 400px;
	padding: 14px 9px;
	border-left-style: solid;
	border-left-width: 9px;
	border-left-color: inherit;
}

.microblog-posts h2 {
	margin: 14px 0px;
}

.microblog-posts p {
	margin: 0;
}

.blog-posts h3, .music-page-content h3 {
	margin-bottom: 0;
}

.blog-posts p, .music-page-content p {
	margin: 0;
}

.microblog-link {
	display: none;
}

.feeds {
	margin: 0;
}

@media only screen and (max-width: 1000px) {
	.microblog-link {
		display: unset;
	}
	.microblog-content {
		display: none;
	}
	.blog-content {
		right: 0;
	}
}

#colorsetter {
	position: absolute;
	right: 0;
	vertical-align: middle;
	width: 120px;
	background: #000;
}

.color-input {
	position: absolute;
	left: 0;
	top: 0;
	bottom: 0;
	width: 64px;
	color: inherit;
	text-align: center;
	line-height: 25px;
}

.color-submit {
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	width: 56px;
	border: none;
	text-align: center;
	color: inherit;
}

#code {
	border: none;
	padding: 0;
}

h1 {
	margin: 0;
	font-weight: normal;
	font-size: 28pt;
	word-wrap: break-word;
}

h2 {
	margin: 0;
	font-weight: normal;
	font-size: 21pt;
	word-wrap: break-word;
}

h3 {
	font-weight: normal;
	font-size: 14pt;
	word-wrap: break-word;
}

p {
	margin: 14px 0;
	font-size: 14pt;
	word-wrap: break-word;
}

a {
	text-decoration: underline;
}

summary p {
	display: inline-block;
	margin: 0;
}

input,
button,
textarea,
select {
	outline: none;
	border-style: solid;
	border-width: 2px;
	border-color: inherit;
	height: 25px;
	padding: 2px;
	background-color: #000;
	font-size: 14px;
	color: inherit;
}

@keyframes decrypting {
	0% {
		width: 0%;
	}

	46%,
	100% {
		width: 100%;
	}
}

@keyframes done {
	0% {
		width: 0%;
	}

	82% {
		width: 0%;
	}

	100% {
		width: 100%;
	}
}

@keyframes indexappear {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

@keyframes noanimtest {
	0% {
		visibility: visible;
	}

	100% {
		visibility: hidden;
	}
}


/* music pages */

.music summary::marker {
	font-size: 1.17em;
	font-weight: normal;
}

summary h3 {
	display: inline;
	margin: 0;
	width: fit-content;
}

a[onclick] {
	cursor: pointer;
}

button[onclick] {
	cursor: pointer;
}

@media only screen and (max-width: 600px) {
	.music-content {
		padding: 0;
	}

	.music-sidebar {
		position: unset;
		overflow: auto;
		border-right: none;
		width: 100%;
	}

	.music-data {
		position: unset;
		overflow: auto;
		border-bottom-style: solid;
		border-bottom-width: 9px;
		border-bottom-color: inherit;
		width: 100%;
	}
}

@media only screen and (max-width: 460px) {
	.header {
		height: 47px;
	}

	.stuff {
		top: 61px;
	}
}

@media only screen and (max-width: 420px) {
	.music-header {
		height: 47px;
	}

	.music-content {
		top: 61px;
	}
}

@media only screen and (max-width: 310px) {
	.header-content {
		right: 0;
	}

	#colorsetter {
		display: none;
	}
}

@media only screen and (max-width: 240px) {
	.music-header {
		height: 97px;
	}

	.music-header a {
		display: block;
	}

	.music-content {
		top: 111px;
	}
}

@media only screen and (max-width: 200px) {
	.header {
		height: 97px;
	}

	.stuff {
		top: 111px;
	}

	.header-content a {
		display: block;
	}
}
